"use strict";

const node = require("../../ast-node");

module.exports = function now() {
	// FIXME: Allow selecting statement_timestamp/clock_timestamp instead (as either a separate operation, or an option to this one)
	return function now() {
		return node({
			type: "sqlFunction",
			functionName: "transaction_timestamp", // Equivalent to now(), but more clearly named
			args: []
		});
	};
};
